# GRASS 6.0.1 RPM spec file for Fedora Core 4
# This file is Free Software under GNU GPL v>=2. 
# $Id: grass_FC3.spec,v 1.1.2.1 2005/08/10 15:16:17 markus Exp $

%define shortver 61
%define snapshotver 2005_10_12
#%define _prefix /usr/lib
#%define _bindir /usr/bin

Summary: GRASS - Geographic Resources Analysis Support System
Name: grass
Version: 6.1.cvs
Release: 2
Source: ftp://grass.itc.it/pub/grass/grass60/source/grass-%{version}_src_snapshot_%{snapshotver}.tar.gz
#Source: grass-%{version}.tar.gz
URL: http://grass.itc.it/index.php
Patch0: grass-shlib-soname.patch
#Patch0: grass-readline.patch
#Patch1: grass-zrange.patch
License: GPL; Copyright by the GRASS Development Team
Group: Applications/GIS

### Disable the automatic running of the _find_requires macro.  
##%define _find_requires %{nil}  
#
### Turn off automatic generation of dependencies to 
### avoid a problem with libgrass* dependency issues.  
### Other dependencies listed below.  
#
#Autoreq: 0  
#
##Query the RPM database to find which redhat/fedora release we are running.
#%if %(rpmquery fedora-release | grep -cv 'not installed$')
#    %define FCL 1
#    %define VER1 %(rpmquery --qf '%{VERSION}' fedora-release)
#%endif
#%if %(rpmquery redhat-release | grep -cv 'not installed$')
#    %define RHL 1
#    %define VER1 %(rpmquery --qf '%{VERSION}' redhat-release)	
#%endif
#%if %(rpmquery redhat-release | grep -v 'not installed$' | grep -c -e '-[0-9][AEW]S')
#    %define ENT 1
#%endif
#
#%define REL 3



#%{?FCL:Release: 0.fdr.%{REL}.fc%{VER1}}
#%{?RHL:Release: 0.fdr.%{REL}.rh%{VER1}}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)/%{name}-%{version}

#BuildRequires:	man
BuildRequires: libtiff-devel
BuildRequires: gdal-devel
BuildRequires: proj-devel
BuildRequires: tcl-devel >= 8
BuildRequires: tk-devel >= 8
BuildRequires: readline-devel
BuildRequires: bison
BuildRequires: fftw-devel
BuildRequires: flex
BuildRequires: gettext
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: ncurses-devel >= 5.2
BuildRequires: openmotif-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: unixODBC-devel
BuildRequires: zlib-devel

%description
GRASS (Geographic Resources Analysis Support System) is a Geographic
Information System (GIS) used for geospatial data management and
analysis, image processing, graphics/maps production, spatial
modeling, and visualization. GRASS is currently used in academic and
commercial settings around the world, as well as by many governmental
agencies and environmental consulting companies.


%prep
%setup  -n %{name}-%{version}_src_snapshot_%{snapshotver}
%patch0 -p0

%build

#configure with shared libs:
CFLAGS="-O2" LDFLAGS="-s"   \
 %configure  \
   --prefix=%{buildroot}/%{_prefix} \
   --bindir=%{buildroot}/%{_bindir} \
   --with-cxx \
   --enable-shared \
   --with-fftw \
   --with-includes=/usr/include \
   --with-libs=/usr/lib \
   --with-motif \
   --with-freetype=yes \
   --with-freetype-includes=/usr/include/freetype2 \
   --with-nls \
   --with-gdal=/usr/bin/gdal-config \
   --with-proj \
   --with-glw \
   --with-x  \
   --with-mysql \
   --with-mysql-includes=/usr/include/mysql \
   --with-mysql-libs=/usr/lib/mysql \
   --with-odbc  \
   --with-postgres 
  
#make # %{?_smp_mflags}
make prefix=%{buildroot}%{_prefix} BINDIR=%{buildroot}%{_bindir}  \
     PREFIX=%{buildroot}%{_prefix}  

%install

rm -rf %{buildroot}

%makeinstall \
 prefix=%{buildroot}%{_prefix} \
 BINDIR=%{buildroot}%{_bindir} \
 PREFIX=%{buildroot}%{_prefix}

# changing GISBASE in startup script (deleting %{buildroot} from path)
mv %{buildroot}%{_bindir}/grass%{shortver} %{buildroot}%{_bindir}/grass%{shortver}.tmp

cat  %{buildroot}%{_bindir}/grass%{shortver}.tmp | \
    sed -e "1,\$s&^GISBASE.*&GISBASE=%{_prefix}/grass-%{version}&" | \
    cat - > %{buildroot}%{_bindir}/grass%{shortver}

rm %{buildroot}%{_bindir}/grass%{shortver}.tmp
chmod +x %{buildroot}%{_bindir}/grass%{shortver}

# Make grass libraries available on the system
install -d %{buildroot}/etc/ld.so.conf.d
echo %{_prefix}/grass-%{version}/lib >> %{buildroot}/etc/ld.so.conf.d/grass-%{version}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING GPL.TXT README REQUIREMENTS.html 

%attr(0755,root,root) 

%{_bindir}/grass%{shortver}
%{_prefix}/grass-%{version}
/etc/ld.so.conf.d/grass-%{version}.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%Changelog
* Thu Oct 27 2005 Sascha Wilde <wilde@polynoe.hq> - 6.1.cvs-2
  - added shlib-sonames patch

* Tue Sep 27 2005 Silke Reimer <silke@intevation.de>
  - First build of RPM for Fedora Core 4. 
  - Removing softlinks to grass libraries in /usr/lib

* Thu Mar 30 2005 Craig Aumann <caumann@ualberta.ca> 
  - First build of RPM for Fedora Core 3.

* Wed Sep 01 2004 Bernhard Reiter <bernhard@intevation.de>
  - made ready to be checked into GRASS CVS: added header, disabled Patch1

* Tue Aug 10 2004 Silke Reimer <silke.reimer@intevation.net>
  - small changes to fit to Fedora naming conventions

* Thu Jul 01 2004 Silke Reimer <silke.reimer@intevation.net>
  - Initial build

